securitycontext Class Referenceabstract

Inherited by gsscontext, tlscontext, and websocket.

## Public Member Functions

virtual void | setFileDescriptor (filedescriptor *fd)=0
virtual filedescriptor * | getFileDescriptor ()=0
virtual bool | connect ()=0
virtual bool | accept ()=0
virtual ssize_t | read (void *buf, ssize_t size)=0
virtual ssize_t | write (const void *buf, ssize_t size)=0
virtual ssize_t | pending ()=0
virtual bool | close ()=0
virtual ssize_t | getSizeMax ()=0